Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/postgresql-old9.3: new aport

From: Christian Kampka <christian_at_kampka.net>
Date: Fri, 7 Aug 2015 12:00:22 +0200

Old PostgreSQL binary to be used with postgresql-upgrade
---
 testing/postgresql-old9.3/APKBUILD | 68 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)
 create mode 100644 testing/postgresql-old9.3/APKBUILD
diff --git a/testing/postgresql-old9.3/APKBUILD b/testing/postgresql-old9.3/APKBUILD
new file mode 100644
index 0000000..ae6a04a
--- /dev/null
+++ b/testing/postgresql-old9.3/APKBUILD
_at_@ -0,0 +1,68 @@
+# Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
+pkgver=9.3.9
+_engine_ver=${pkgver%.*}
+pkgname=postgresql-old${_engine_ver}
+pkgrel=0
+pkgdesc="Old PostgreSQL binary to be used with postgresql-upgrade"
+url="http://www.postgresql.org/"
+arch="all"
+license="BSD"
+install=""
+depends_dev="readline-dev openssl-dev zlib-dev libxml2-dev"
+makedepends="$depends_dev"
+subpackages=""
+source="ftp://ftp.postgresql.org/pub/source/v$pkgver/postgresql-$pkgver.tar.bz2
+	"
+
+_builddir="$srcdir"/postgresql-$pkgver
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr/lib/${pkgname} \
+		--mandir=/usr/share/man \
+		--with-openssl \
+		--disable-rpath \
+		--disable-shared \
+		|| return 1
+
+	make all || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+
+	# remo stuff not needed for upgrade
+	cd "$pkgdir"/usr/lib/${pkgname}
+	rm bin/clusterdb
+	rm bin/createdb
+	rm bin/createlang
+	rm bin/createuser
+	rm bin/dropdb
+	rm bin/droplang
+	rm bin/dropuser
+	rm bin/ecpg
+	rm bin/initdb
+	rm bin/pg_basebackup
+	rm bin/pg_config
+	rm bin/pg_controldata
+	rm bin/pg_dump
+	rm bin/pg_dumpall
+	rm bin/pg_restore
+	rm bin/psql
+	rm bin/reindexdb
+	rm bin/vacuumdb
+	rm -rf include
+	rm -r lib
+	rm -rf share/doc
+	rm -rf share/man
+	rm -rf share/tsearch_data
+	rm share/*.bki
+	rm share/*description
+	rm share/*.sample
+	rm share/*.sql
+	rm share/*.txt
+}
+
+md5sums="41cd45d8f9d32c900ff5dafb5946d31f  postgresql-9.3.9.tar.bz2"
+sha256sums="f73bd0ec2028511732430beb22414a022d2114231366e8cbe78c149793910549  postgresql-9.3.9.tar.bz2"
+sha512sums="c6a9cae07968c99039910bb98d3e365fc285d2cdef02dd594128bd69ae65926392b18b65b0e13c3f17c366413bffbe226b6e8ce3453774b0439745b18ea129a8  postgresql-9.3.9.tar.bz2"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 07 2015 - 12:00:22 GMT